summaryrefslogtreecommitdiffstats
path: root/system/oksh/doinst.sh
diff options
context:
space:
mode:
Diffstat (limited to 'system/oksh/doinst.sh')
-rw-r--r--system/oksh/doinst.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/system/oksh/doinst.sh b/system/oksh/doinst.sh
new file mode 100644
index 0000000000..de374ed98d
--- /dev/null
+++ b/system/oksh/doinst.sh
@@ -0,0 +1,8 @@
+if [ ! -r etc/shells ]; then
+ touch etc/shells
+ chmod 644 etc/shells
+fi
+
+if ! grep -q /bin/oksh etc/shells ; then
+ printf %s\\n /bin/oksh >> etc/shells
+fi